%define	major	3
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		clxclient
Summary:	C++ libraries
Version:	3.9.0
Release:	%mkrel 6
License:	LGPLv2+
Group:		System/Libraries 
Source0:	http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Patch0:		clxclient-3.9.0-mga-Makefile.patch
URL:		http://kokkinizita.linuxaudio.org/linuxaudio/

BuildRequires:	clthreads-devel >= 2.4.0
BuildRequires:	x11-proto-devel
BuildRequires:	libxft-devel

%description
C++ libraries needed by Aeolus

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}

%description -n	%{libname}
The libraries from %{name} package needed by Aeolus

%files -n %{libname}
%{_libdir}/libclxclient.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %name
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{libname}-devel < %{version}-%{release}

%description -n	%{develname}
Development libraries from %{name}

%files -n %{develname}
%{_includedir}/clxclient.h
%{_libdir}/libclxclient.so

#--------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p0

sed -e 's|-O2|%{optflags}|' \
    -e 's|/sbin/ldconfig|# /sbin/ldconfig|' \
    -e 's|`freetype-config --libs`||' \
    -e 's! -shared ! -Wl,--as-needed\0!g' \
    -e 's|-lpthread -lXft -lX11|-lclthreads -lXft -lX11|' \
    -i Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib} 

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}

make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib}
ln -s libclxclient.so.%{version} %{buildroot}%{_libdir}/libclxclient.so.%{major}



%changelog
* Sat Nov 28 2015 neoclust <neoclust> 3.9.0-6.mga6
+ Revision: 906813
- Fix build on ARM

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-5.mga5
+ Revision: 742644
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 3.9.0-4.mga5
+ Revision: 693648
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-3.mga5
+ Revision: 678447
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.9.0-2.mga4
+ Revision: 531699
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 barjac <barjac> 3.9.0-1.mga4
+ Revision: 464616
- new version 3.9.0
- patch makefile to fix build

* Fri Jan 11 2013 umeabot <umeabot> 3.6.1-2.mga3
+ Revision: 347948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 3.6.1-1.mga3
+ Revision: 321928
- spec cleaned
- Thanks to Philippe Didier
- Import from Mandriva


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 3.6.1-2mdv2011.0
+ Revision: 617071
- the mass rebuild of 2010.0 packages

* Tue Sep 08 2009 Funda Wang <fwang@mandriva.org> 3.6.1-1mdv2010.0
+ Revision: 433028
- New version 3.6.1

* Fri Jun 12 2009 Jérôme Brenier <incubusss@mandriva.org> 3.3.1-5mdv2010.0
+ Revision: 385600
- rebuild

* Tue Aug 26 2008 Emmanuel Andry <eandry@mandriva.org> 3.3.1-4mdv2009.0
+ Revision: 276157
- apply devel policy
- fix license

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 3.3.1-3mdv2009.0
+ Revision: 243551
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.3.1-1mdv2008.1
+ Revision: 116579
- Fix BuildRequires
- import clxclient


